# Configuration file

####################
# customspawner-settings
####################

customspawner-settings {
    # Turns on CustomMobSpawner debug logging.
    B:debug=false

    # If enabled, all spawns will stop when max spawn limits have been reached for type.
    B:enforceMaxSpawnLimits=false

    # If true, Custom Spawner will attempt to despawn all creatures including vanilla. It will attempt to prevent despawning of villagers, tamed creatures, and farm animals. The purpose of this setting is to provide a more dynamic experience.
    B:forceDespawns=false
    B:killAllVillagers=false

    # Turns on check for lightLevel before killing an entity during a killall. If entity is under lightLevel threshold, it will be killed.
    B:killallUseLightLevel=true

    # The maximum light level threshold used to determine whether or not to despawn a farm animal.
    I:maxDespawnLightLevel=2

    # The minimum light level threshold used to determine whether or not to despawn a farm animal.
    I:minDespawnLightLevel=2

    # Allows spawns during world chunk generation.
    B:worldGenCreatureSpawning=true
}


####################
# mod-mappings
#===================
# Mod Biome Mappings
# You may change tag values but do NOT change the default keys since they are used to generate our defaults.
# For example, 'twilightforest=TL:TwilightForest.cfg' may be changed to 'twilightforest=TWL:TWL.cfg' but may NOT be changed to 'twilight=TWL:TWL.cfg'
####################

mod-mappings {
    # automatically generated
    S:BUILDCRAFT <BUILDCRAFT:BUILDCRAFT.cfg>
    S:biomesop <BOP:BiomesOPlenty.cfg>
    S:drzhark <MOC:MoCreatures.cfg>
    S:undefined <U:Undefined.cfg>
    S:vanilla <MC:Vanilla.cfg>
}


